### File

`packages/eui/packages/components-next/src/lib/layout/eui-header/header-environment/header-environment.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.Default`
encapsulation | `ViewEncapsulation.None`
selector | `eui-header-environment`
templateUrl | `./header-environment.component.html`

### Index

###### HostBindings

- class

### Constructor

`constructor(asService: UxAppShellService, elRef: ElementRef)`

Parameters :

Name | Type | Optional
asService | `UxAppShellService` | No
elRef | `ElementRef` | No

### HostBindings

class
Default value : `'eui-header-environment'`

# result-matching ""

# No results matching ""